<template>
    <div class="card bg-white-base">
        <!-- @slot Slot onde conteúdo do card é inserido -->
        <slot></slot>
    </div>
</template>

<script>
    export default {
        name: 'b-card'
    }
</script>

<style lang="scss" scoped>
    .card {
        border-radius: 5px;
        border: 1px solid #DCDBE1;
        box-shadow: 0px 2px 2px 0 rgba(0,0,0,0.24);
    }
</style>

<docs>
    Card

    A importação do arquivo abaixo é necessária para o funcionamento do componente:
    - colors-classes.scss

    Para a classe de padding do exemplo ser aplicada é necessário importar o arquivo: 
    - spacing.scss

    ```js
    <b-card class="padding-normal"><p>Card exemplo</p></b-card>
    ```
</docs>